; routine to send an ACK and increment the packet number

SAKN:	mov	dptr,#GDA

	clr	a

	movx	@dptr,a		; d$ = ""

	mov	TYP,#'Y'

; entry point to send a packet

send:	mov	dptr,#GDA

	call	strlen

	mov	Len,a		; L = len(D$)

	call	spack		; send packet

	mov	a,N

	inc	a

	anl	a,#3fh		; 63

	mov	N,a		; n = (n + 1) and 63

	anl	a,#3

	jnz	L8050

	cpl	runlite

L8050:	ret

;



